Delegate unhandled URL schemes to the system

Bug #1384460 reported by Chris Coulson on 2014-10-22
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Canonical System Image
High
Unassigned
Oxide
High
Olivier Tilloy
1.3
High
Olivier Tilloy
dialer-app
High
Gustavo Pichorim Boiko
dialer-app (Ubuntu)
High
Unassigned
dialer-app (Ubuntu RTM)
High
Unassigned
url-dispatcher (Ubuntu)
High
Ted Gould
url-dispatcher (Ubuntu RTM)
High
Ted Gould
webbrowser-app (Ubuntu)
Undecided
Unassigned
webbrowser-app (Ubuntu RTM)
Undecided
Olivier Tilloy

Bug Description

We currently ignore any URL's with a scheme that is unrecognised. We should be delegating these to the system so that it can try to find a handler for it

Related branches

Changed in oxide:
importance: Undecided → Medium
status: New → Triaged
Olivier Tilloy (osomon) wrote :

An example of such URLs is telephone links (typically exposed on mobile versions of websites), e.g. "tel:+1234567890".

It seems url-dispatcher is expecting links in the form "tel:///+1234567890" though, it currently refuses to handle the slash-less form.

Olivier Tilloy (osomon) on 2014-10-23
Changed in oxide:
assignee: nobody → Olivier Tilloy (osomon)
status: Triaged → In Progress
Changed in oxide:
milestone: none → branch-1.4
Chris Wayne (cwayne18) wrote :

This has been identified as a customer blocking bug, please raise priority to Critical and mark rtm14

tags: added: rtm14 touch-2014-10-30
Olivier Tilloy (osomon) on 2014-10-24
Changed in oxide:
importance: Medium → High
Olivier Tilloy (osomon) on 2014-10-27
Changed in oxide:
milestone: branch-1.4 → 1.3.2
Changed in oxide:
milestone: 1.3.2 → branch-1.4
Olivier Tilloy (osomon) on 2014-10-28
Changed in oxide:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webbrowser-app - 0.23+15.04.20141104.1-0ubuntu1

---------------
webbrowser-app (0.23+15.04.20141104.1-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Riccardo Padovani ]
  * Added new upstream components to fit with design requests: multiple
    selection in History, standard swipe-to-delete. (LP: #1351167)

  [ Olivier Tilloy ]
  * Do not use a custom scheme to trigger the error page, this won’t
    work any longer as soon as oxide learns how to delegate unhandled
    schemes (see https://launchpad.net/bugs/1384460). (LP: #1384460)
  * Ensure that the 'dataLocation' context property is updated when the
    application name changes. (LP: #1387754)
  * Really honour the --fullscreen command-line switch. (LP: #1379766)
 -- Ubuntu daily release <email address hidden> Tue, 04 Nov 2014 15:22:49 +0000

Changed in webbrowser-app (Ubuntu):
status: New → Fix Released
Olivier Tilloy (osomon) on 2014-11-05
Changed in webbrowser-app (Ubuntu RTM):
status: New → Confirmed
tags: added: ota-1
removed: touch-2014-10-30
Pat McGowan (pat-mcgowan) wrote :

marking ota, this will release mid nov

Olivier Tilloy (osomon) on 2014-11-19
Changed in webbrowser-app (Ubuntu RTM):
status: Confirmed → In Progress
assignee: nobody → Olivier Tilloy (osomon)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webbrowser-app - 0.23+15.04.20141118~rtm-0ubuntu1

---------------
webbrowser-app (0.23+15.04.20141118~rtm-0ubuntu1) 14.09; urgency=low

  [ Olivier Tilloy ]
  * Do not use a custom scheme to trigger the error page, this won’t
    work any longer as soon as oxide learns how to delegate unhandled
    schemes (see https://launchpad.net/bugs/1384460). (LP: #1384460)
 -- Ubuntu daily release <email address hidden> Tue, 18 Nov 2014 20:22:13 +0000

Changed in webbrowser-app (Ubuntu RTM):
status: In Progress → Fix Released
Olivier Tilloy (osomon) wrote :

I added a canonical-devices-system-image task to consider merging the dialer-app branch in RTM (all the other pieces already made it to RTM).

Pat McGowan (pat-mcgowan) wrote :

approve the final MR to land as we thought the bug was closed

Changed in canonical-devices-system-image:
importance: Undecided → High
milestone: none → ww51-2014
status: New → Confirmed
Bill Filler (bfiller) on 2014-12-03
Changed in dialer-app:
status: New → In Progress
Changed in dialer-app (Ubuntu):
status: New → Fix Released
Changed in dialer-app (Ubuntu RTM):
status: New → In Progress
Changed in dialer-app:
importance: Undecided → High
Changed in dialer-app (Ubuntu):
importance: Undecided → High
Changed in dialer-app (Ubuntu RTM):
importance: Undecided → High
Changed in dialer-app:
assignee: nobody → Gustavo Pichorim Boiko (boiko)
Bill Filler (bfiller) on 2014-12-08
Changed in url-dispatcher (Ubuntu):
importance: Undecided → High
Changed in url-dispatcher (Ubuntu RTM):
importance: Undecided → High
Thomas Strehl (strehl-t) on 2014-12-09
Changed in url-dispatcher (Ubuntu RTM):
assignee: nobody → Ted Gould (ted)
Changed in url-dispatcher (Ubuntu):
assignee: nobody → Ted Gould (ted)
Changed in canonical-devices-system-image:
status: Confirmed → Fix Released
status: Fix Released → Confirmed
Bill Filler (bfiller) on 2014-12-09
Changed in url-dispatcher (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package url-dispatcher - 0.1+15.04.20141208~rtm-0ubuntu1

---------------
url-dispatcher (0.1+15.04.20141208~rtm-0ubuntu1) 14.09; urgency=low

  [ Ted Gould ]
  * Making generic regular expression more robust (LP: #1384460,
    #1351222)
 -- Ubuntu daily release <email address hidden> Mon, 08 Dec 2014 17:44:20 +0000

Changed in url-dispatcher (Ubuntu RTM):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dialer-app - 0.1+15.04.20141208.1~rtm-0ubuntu1

---------------
dialer-app (0.1+15.04.20141208.1~rtm-0ubuntu1) 14.09; urgency=low

  [ Gustavo Pichorim Boiko ]
  * Hide the SIM selector when in emergency mode. (LP: #1379386)
  * Only set the CallManager.callIndicatorVisible flag when
    CallManager.hasCalls. (LP: #1390098)
  * Enable page to receive focus.
  * Add empty state in the history page. (LP: #1367325)

  [ Olivier Tilloy ]
  * Also handle URLs of the form "tel:+1234567890", i.e. without slashes
    (those are common on web pages). (LP: #1384460, #1351222)
 -- Ubuntu daily release <email address hidden> Mon, 08 Dec 2014 17:41:09 +0000

Changed in dialer-app (Ubuntu RTM):
status: In Progress → Fix Released
Olivier Tilloy (osomon) on 2014-12-10
Changed in dialer-app:
status: In Progress → Fix Released
Changed in canonical-devices-system-image:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers